root: true

env:
  browser: true
  es2021: true

extends:
  - "eslint:recommended"
  - "plugin:react/recommended"
  - "plugin:@typescript-eslint/recommended"

parser: "@typescript-eslint/parser"

parserOptions:
  ecmaFeatures:
    jsx: true
  ecmaVersion: 12
  sourceType: module

plugins:
  - react
  - "@typescript-eslint"

rules:
  "@typescript-eslint/explicit-member-accessibility": off
  "@typescript-eslint/explicit-function-return-type": off
  "@typescript-eslint/no-explicit-any": off
  "@typescript-eslint/interface-name-prefix": off
  "@typescript-eslint/no-empty-interface": off
  "@typescript-eslint/no-object-literal-type-assertion": off
  "@typescript-eslint/ban-types": off
  "@typescript-eslint/no-non-null-assertion": off
  "@typescript-eslint/no-parameter-properties": off
  "@typescript-eslint/ban-ts-ignore": off
  "@typescript-eslint/ban-ts-comment": off
  "@typescript-eslint/no-unused-vars": off

  "@typescript-eslint/no-empty-function": off
  "react/display-name": off
  "react/prop-types": off
  "react/react-in-jsx-scope": off
